%global dlrn_nvr 0.8.37-1.20221215084349.34c2ecc
%global dlrn 1
%define upstream_version 0.8.37
# RPM spec file for OpenStack on RHEL 6 and 7
# Some bits borrowed from the katello-selinux package

%global moduletype       services

# Version of SELinux we were using
%global selinux_policyver 3.13.1-102.el7

# Package information
Name:                   openstack-selinux
Version: 0.8.37
Release: 17.1.20221215084349.34c2ecc%{?dist}
License:                GPLv2
Group:                  System Environment/Base
Summary:                SELinux Policies for OpenStack
BuildArch:              noarch
URL:                    https://github.com/redhat-openstack/%{name}
Requires:               policycoreutils
Requires(post):         selinux-policy-base >= %{selinux_policyver}
Requires(post):         selinux-policy-targeted >= %{selinux_policyver}
Requires(post):         policycoreutils
Requires(post):         policycoreutils-python-utils
Requires(preun):        policycoreutils
Requires:               container-selinux
BuildRequires:          selinux-policy
BuildRequires:          selinux-policy-devel
BuildRequires:          container-selinux
BuildRequires:          git-core
Source: 0.8.37-1.20221215084349.34c2ecc.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=34c2eccd0d547ab69a9ce1eb8225639c165d7e50

%description
SELinux policy modules for use with OpenStack


%package devel
Summary:                Development files (interfaces) for %{name}
Requires:               selinux-policy-devel
Requires:               %{name} = %{version}-%{release}

%description devel
Development files (interfaces) for %{name}


%package test
Summary:                AVC Tests for %{name}
Requires:               policycoreutils-python-utils
Requires:               bash
Requires:               %{name} = %{version}-%{release}

%description test
AVC tests for %{name}


%prep
%autosetup -Sgit

%build
make DATADIR="%{_datadir}"

%install
make DATADIR="%{buildroot}%{_datadir}" \
     LOCALDIR="%{buildroot}%{_datadir}/%{name}/%{version}" \
     install

%post
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -q


%preun
if [ $1 -eq 0 ]; then
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -x -q
fi

%verifyscript
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -V

%files
%license COPYING
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/local_settings.sh
%attr(0644,root,root) %{_datadir}/selinux/packages/*.pp.bz2

%files test
%dir %{_datadir}/%{name}/%{version}/tests
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/tests/check_all
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/bz*
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/lp*

%files devel
%attr(0644,root,root) %{_datadir}/selinux/devel/include/%{moduletype}/*.if

%changelog
* Thu Jun 29 2023 Miguel Garcia <mgarciac@redhat.com> 0.8.37-17.1.20221215084349.34c2ecc
- Add RHOSP version to Release

* Thu Dec 15 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.37-1.20221215084349.34c2ecc
- Update patches
- Run the verification even on permissive system

* Fri Sep 23 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.36-1.20220923104019.f63c51c
- Update patches
- Allow init_t to create and mange socket in container_file_t

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.35-1.20220906125049.d0f888a
- Update patches
- local_settings.sh: Don't check modules when not root
- Enable OS version-specific modules
- Allow svirt_t to read and write openvswitch anon inodes
- docs: Add container note
- Add contributing, dev, and troubleshooting documentation

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.34-1.20220803033822.2460ba3
- Update patches
- Correct typos
- Allow to use the multithreading capability in selinux 3.4

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.34-1.20220728025441.a241718
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.34-1.20220727194148.a241718
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.34-1.20220718124309.a241718
- Update patches
- Add new boolean os_haproxy_ping for Octavia amphora
- Use stderr for error in verification function
- Add a new option -V to verify installed policies
- Don't require setpgid capability in os-neutron

* Sat May 07 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.31-0.20220507082322.8d0bf6c
- Update patches
- Octavia: add new policies for the Amphora

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.31-0.20220428173041.400a9a5
- Update patches
- Revert "Octavia: add new policies for the Amphora VM"
- Octavia: add new policies for the Amphora VM

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.31-0.20220428162834.80f4ed0
- Revert "Octavia: add new policies for the Amphora VM"
- Octavia: add new policies for the Amphora VM (rhbz#2073491)

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.31-0.20220217083510.80f4ed0
- Update patches
- Cinder: Allow httpd_t to remove lock files in /var/lib/cinder
- Neutron: Fix denied network namespace operations in CentOS 9

* Tue Feb 08 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.30-0.20220208082246.33a7e5c
- Update patches
- Fix wrong selinux type of /var/cache/swift

* Fri Nov 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-0.20211105081944.7211283
- Update patches
- Allow container_t to manage container_log_t files

* Sat Oct 30 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-0.20211030102050.af4b2b8
- Update patches
- Allow container_t to manage Swift cache files

* Thu Oct 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-0.20211014102142.1fe1c48
- Update patches
- Add a boolean to enable rules related to vTPM features

* Thu Sep 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.28-0.20210923091833.253cae2
- Update patches
- Allow container_t to getattr on fixed_disk_device_t

* Fri Sep 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.28-0.20210910081845.7437bed
- Update patches
- Move the dac_override rules behind booleans.

* Tue Jun 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.27-0.20210615091807.9cd3782
- Update patches

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.27-0.20210612131807.9cd3782
- Update patches
- Allow keepalived_t setattr for neutron_var_lib_t

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-0.20210528135147.1f0a5dd
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-0.20210527091851.1f0a5dd
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-0.20210523155006.1f0a5dd
- Update patches
- Allow neutron_t to SIGTERM haproxy owned processes

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.25-1
- Update patches
- Allow container_t to manage swift_data_t files/dirs
- Allow container domains to send sigchld to container runtime


